- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dpkg_selections – Dpkg package selection selections

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Change dpkg package selection state via –get-selections and –set-selections.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of the package
selection - / required | Choices: install hold deinstall purge | The selection state to set the package to.

## Notes

Note

- This module won’t cause any packages to be installed/removed/purged, use the `apt` module for that.

## Examples

    # Prevent python from being upgraded.
    - dpkg_selections:
        name: python
        selection: hold

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Brian Brazil (@brian-brazil) <brian.brazil@boxever.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.